
##############################################
#                                            #
# Sample Pure-FTPd Mysql configuration file. #
# See README.MySQL for explanations.         #
#                                            #
##############################################


# Optional : MySQL server name or IP. Don't define this for unix sockets.

MYSQLServer     sarthe.fr.clara.net


# Optional : MySQL port. Don't define this if a local unix socket is used.

MYSQLPort       3306


# Optional : define the location of mysql.sock if the server runs on this host.

#MYSQLSocket     /tmp/mysql.sock


# Mandatory : user to bind the server as.

MYSQLUser       mysqluser


# Mandatory : user password. You must have a password.

MYSQLPassword   password 


# Mandatory : database to open.

MYSQLDatabase   easy 


# Mandatory : how passwords are stored
# Valid values are : "cleartext", "crypt", "md5" and "password"
# ("password" = MySQL password() function)
# You can also use "any" to try "crypt", "md5" *and* "password"

MYSQLCrypt      cleartext


# In the following directives, parts of the strings are replaced at
# run-time before performing queries :
#
# \L is replaced by the login of the user trying to authenticate.
# \I is replaced by the IP address the user connected to.
# \P is replaced by the port number the user connected to.
# \R is replaced by the IP address the user connected from.
# \D is replaced by the remote IP address, as a long decimal number.
#
# Very complex queries can be performed using these substitution strings,
# especially for virtual hosting.

#SQLUserInfo                     domain domain domain.passwd domain_id 5000 "CONCAT('/data/web/X',LEFT(domain,1),'/X',MID(domain,2,1),'/X',MID(domain,3,1),'/',domain)" NULL       
#SQLUserWhereClause              "status='Active' AND max_wwwquota > 2"
#SQLAuthenticate                 users* 

# Query to execute in order to fetch the password

MYSQLGetPW      SELECT domain.passwd FROM domain WHERE domain="\L"


# Query to execute in order to fetch the system user name or uid

MYSQLGetUID     SELECT domain_id FROM domain WHERE domain="\L"


# Optional : default UID - if set this overrides MYSQLGetUID

#MYSQLDefaultUID 1000


# Query to execute in order to fetch the system user group or gid

#MYSQLGetGID     SELECT Gid FROM domain WHERE domain="\L"


# Optional : default GID - if set this overrides MYSQLGetGID

#MYSQLDefaultGID 5000
MYSQLDefaultGID claranet


# Query to execute in order to fetch the home directory

MYSQLGetDir     SELECT CONCAT('/data/web/X',LEFT(domain,1),'/X',MID(domain,2,1),'/X',MID(domain,3,1),'/',domain,'/./public/www/') FROM domain WHERE domain="\L"  and status="Active" and max_wwwquota > 2


# Optional : query to get the maximal number of files 
# Pure-FTPd must have been compiled with virtual quotas support.

# MySQLGetQTAFS  SELECT QuotaFiles FROM domain WHERE domain="\L"


# Optional : query to get the maximal disk usage (virtual quotas)
# The number should be in Megabytes.
# Pure-FTPd must have been compiled with virtual quotas support.

MySQLGetQTASZ  SELECT max_wwwquota FROM domain WHERE domain="\L"


# Optional : ratios. The server has to be compiled with ratio support.

# MySQLGetRatioUL SELECT ULRatio FROM domain WHERE domain="\L"
# MySQLGetRatioDL SELECT DLRatio FROM domain WHERE domain="\L"


# Optional : bandwidth throttling.
# The server has to be compiled with throttling support.
# Values are in KB/s .

# MySQLGetBandwidthUL SELECT ULBandwidth FROM domain WHERE domain="\L"
# MySQLGetBandwidthDL SELECT DLBandwidth FROM domain WHERE domain="\L"

# Enable ~ expansion. NEVER ENABLE THIS BLINDLY UNLESS :
# 1) You know what you are doing.
# 2) Real and virtual domain match.

# MySQLForceTildeExpansion 1


# If you upgraded your tables to transactionnal tables (Gemini,
# BerkeleyDB, Innobase...), you can enable SQL transactions to
# avoid races. Leave this commented if you are using the
# traditionnal MyIsam databases or old (< 3.23.x) MySQL versions.


# MySQLTransactions On


